function [t] = time_neg(eta,r_i)
% Time coordinate in Schwarzschild space-time for radial space-like
% geodesic with initial condition r_i in mass units and energy -E = 1.
% eta is variable.

t=-sqrt(r_i.^3/2)*((eta+sinh(eta))/2+2*eta)+4*atanh(tanh((eta)/2)/tanh(asinh(1)));